/*
 * Copyright (C) 2003 Gerhard Monzel <none>
 */

#include <qfont.h>
#include <kmainwindow.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include "t_ui_main.h"

static const char description[] =
    I18N_NOOP("DVD Authoring for LVE");

static const char version[] = "0.2";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

T_UI_MAIN *mainWin = NULL;

int main(int argc, char **argv)
{
    KAboutData about("klvemkdvd", I18N_NOOP("klvemkdvd"), version, description,
                     KAboutData::License_GPL, "(C) 2003 Gerhard Monzel", 0, 0, "none");
    about.addAuthor( "Gerhard Monzel", 0, "none" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    //T_UI_MAIN *mainWin = 0;

    if (app.isRestored())
    {
        ; //RESTORE(Klvemkdvd);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here
		
		QFont fnt = app.font();
		fnt.setPointSize(fnt.pointSize()-1);
		app.setFont(fnt, true);

		mainWin = new T_UI_MAIN();

        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

