/***************************************************************************
 *   Copyright (C) 2003 by Gerhard Monzel                                  *
 *   none                                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef T_ADD_FILES_H
#define T_ADD_FILES_H

#include <qlabel.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include "ktempfile.h"
#include "t_proc_chain.h"
#include "t_ui_main.h"

class T_ADD_FILES : public T_PROC_CHAIN
{
  Q_OBJECT

  protected:
    T_UI_MAIN     *ui;
    KTempFile     *mapFile;
    KFileItem     *ActFileItem;
    KFileItemList *ActFileList;
    int           itemType;
    uint          total_size_mb;

  public:
    T_ADD_FILES(T_UI_MAIN *_ui);

    ~T_ADD_FILES();

    void clearProject(bool clearAll);

  protected:
    virtual int begin(void);
    virtual int step(void);
    virtual int stepDone(void);

  protected slots:
    void slotItemSelected(void);

    virtual void slotPreview(void);
    virtual void slotReadData(KProcess* proc, char* buf, int len);
    //virtual void slotReadLog(KProcIO* proc);

  public slots:
    void slotAShiftChanged(int v);
    void slotShrinkChanged(int s);
    void slotATypeChanged(int s);
    void slotShrinkValueChanged(void);
    void slotATrackChanged(const QString &t);
};

#endif
