/***************************************************************************
 *   Copyright (C) 2003 by Gerhard Monzel                                  *
 *   none                                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <stdlib.h>
#include <qdir.h>
#include "t_config.h"

T_CONFIG::T_CONFIG(const QString &fileName, bool bReadOnly,
                   bool bUseKDEGlobals, const char *resType)
  : KConfig(fileName, bReadOnly, bUseKDEGlobals, resType )
{
  QDir *home = new QDir(QDir::homeDirPath());
  if (!home->exists(LVE_WORK_DIR))
  {
    if (!home->mkdir(LVE_WORK_DIR))
	{
	  fprintf(stderr, "ERROR: couldn't create workdir in (%s)\n",
	          (const char *)home->absPath());
      return;
	}
  }

  bPath = QString("/usr/local/lve/bin:") + getenv("PATH");
  wDir  = home->absPath() + "/" + LVE_WORK_DIR;
  xName = wDir + FNAME_XML;
  mFifo = wDir + FNAME_MUX;
  sFifo = wDir + FNAME_SHRINK;

  if (!QFile::exists(mFifo))
  {
    system((const char *)QString("mkfifo %1").arg(mFifo));
  }

  if (!QFile::exists(sFifo+".m2v"))
  {
    system((const char *)QString("mkfifo %1.m2v; mkfifo %2.mpa").arg(sFifo, sFifo));
  }
}


T_CONFIG::~T_CONFIG()
{
}

const QString &T_CONFIG::binPath(void)
{
  return bPath;
}

const QString &T_CONFIG::workDir(void)
{
  return wDir;
}

const QString &T_CONFIG::xmlName(void)
{
  return xName;
}

const QString &T_CONFIG::muxFifo(void)
{
  return mFifo;
}

const QString &T_CONFIG::shrinkFifo(void)
{
  return sFifo;
}


