/***************************************************************************
 *   Copyright (C) 2003 by Gerhard Monzel                                  *
 *   none                                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef T_CONFIG_H
#define T_CONFIG_H

#include <kconfig.h>
#include <qdir.h>

#define LVE_WORK_DIR ".lve/"
#define FNAME_XML    "klvemkdvd.xml"
#define FNAME_MUX    "mux"
#define FNAME_SHRINK "shrink"

class T_CONFIG : public KConfig
{
  protected:
    QString bPath;
    QString wDir;
	QString xName;
	QString mFifo;
	QString sFifo;

  public:
    T_CONFIG(const QString &fileName=QString::null, bool bReadOnly=false,
           bool bUseKDEGlobals=true, const char *resType="config");

    ~T_CONFIG();

	const QString &binPath(void);
	const QString &workDir(void);
	const QString &xmlName(void);
    const QString &muxFifo(void);
    const QString &shrinkFifo(void);
};

#endif
