/***************************************************************************
 *   Copyright (C) 2003 by Gerhard Monzel                                  *
 *   none                                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef T_PROC_CHAIN_H
#define T_PROC_CHAIN_H

#include <qlabel.h>
#include <qlistbox.h>
#include <kprocess.h>
#include <kprocio.h>

class T_PROC_CHAIN : public KProcIO //public KProcess
{
  Q_OBJECT

  protected:
    int status;
	QLabel   *logLabel;
	QListBox *logList;

  public slots:
    virtual void slotBegin(void);

  protected slots:
    virtual void slotStep(void);
    virtual void slotStepDone(KProcess* proc);
    virtual void slotReadData(KProcess *proc, char *buf, int len);
	virtual void slotReadLog(KProcIO *proc);

  protected:
    virtual int begin(void);
    virtual int step(void);
    virtual int stepDone(void);

  public:
    T_PROC_CHAIN();

    ~T_PROC_CHAIN();

};

#endif
